<?php defined( 'ABSPATH' ) OR die( 'This script cannot be accessed directly.' );

/**
 * Theme's style schemes
 *
 * @filter us_config_style-schemes
 */

return array(
	'1' => array(
		'title' => __( 'Purple White', 'us' ),
		'values' => array(
			'color_body_bg' => '#e0e0e0',
			'color_header_bg' => '#7049ba',
			'color_header_text' => '#ffffff',
			'color_header_text_hover' => '#ffffff',
			'color_header_ext_bg' => '#6039a8',
			'color_header_ext_text' => '#c8b8e5',
			'color_header_ext_text_hover' => '#ffffff',
			'color_header_transparent_text' => '#ffffff',
			'color_header_transparent_text_hover' => '#ffffff',
			'color_header_search_bg' => '#7049ba',
			'color_header_search_text' => '#ffffff',
			'color_menu_hover_bg' => '#6039a8',
			'color_menu_hover_text' => '#ffffff',
			'color_menu_active_text' => '#ffc670',
			'color_menu_transparent_active_text' => '#ffc670',
			'color_drop_bg' => '#ffffff',
			'color_drop_text' => '#212121',
			'color_drop_hover_bg' => '#eee',
			'color_drop_hover_text' => '#212121',
			'color_drop_active_bg' => '#f7f7f7',
			'color_drop_active_text' => '#7049ba',
			'color_menu_button_bg' => '#ffffff',
			'color_menu_button_text' => '#7049ba',
			'color_menu_button_hover_bg' => '#ffffff',
			'color_menu_button_hover_text' => '#7049ba',
			'color_content_bg' => '#ffffff',
			'color_content_bg_alt' => '#f5f5f5',
			'color_content_border' => '#e0e0e0',
			'color_content_heading' => '#212121',
			'color_content_text' => '#424242',
			'color_content_primary' => '#7049ba',
			'color_content_secondary' => '#ffb03a',
			'color_content_faded' => '#9e9e9e',
			'color_subfooter_bg' => '#212121',
			'color_subfooter_bg_alt' => '#292929',
			'color_subfooter_border' => '#333',
			'color_subfooter_text' => '#757575',
			'color_subfooter_heading' => '#9e9e9e',
			'color_subfooter_link' => '#9e9e9e',
			'color_subfooter_link_hover' => '#ffb03a',
			'color_footer_bg' => '#111',
			'color_footer_text' => '#757575',
			'color_footer_link' => '#9e9e9e',
			'color_footer_link_hover' => '#ffb03a',
		),
		'preview_colors' => array( '#7049ba', '#ffffff' ),
	),
	'2' => array(
		'title' => __( 'Teal Serenity', 'us' ),
		'values' => array(
			'color_body_bg' => '#d7e0df',
			'color_header_bg' => '#009688',
			'color_header_text' => '#ffffff',
			'color_header_text_hover' => '#ffffff',
			'color_header_ext_bg' => '#00897b',
			'color_header_ext_text' => '#b2dfdb',
			'color_header_ext_text_hover' => '#ffffff',
			'color_header_transparent_text' => '#ffffff',
			'color_header_transparent_text_hover' => '#ffffff',
			'color_header_search_bg' => '#ffffff',
			'color_header_search_text' => '#00897b',
			'color_menu_hover_bg' => '#009688',
			'color_menu_hover_text' => '#ffffff',
			'color_menu_active_text' => '#7dfadb',
			'color_menu_transparent_active_text' => '#7dfadb',
			'color_drop_bg' => '#00897b',
			'color_drop_text' => '#ffffff',
			'color_drop_hover_bg' => '#00796b',
			'color_drop_hover_text' => '#ffffff',
			'color_drop_active_bg' => '#00897b',
			'color_drop_active_text' => '#7dfadb',
			'color_menu_button_bg' => '#ffffff',
			'color_menu_button_text' => '#00897b',
			'color_menu_button_hover_bg' => '#ffffff',
			'color_menu_button_hover_text' => '#00897b',
			'color_content_bg' => '#ffffff',
			'color_content_bg_alt' => '#f2f7f7',
			'color_content_border' => '#d7e0df',
			'color_content_heading' => '#212121',
			'color_content_text' => '#3f4544',
			'color_content_primary' => '#00bfa5',
			'color_content_secondary' => '#2196f3',
			'color_content_faded' => '#9da6a5',
			'color_subfooter_bg' => '#1d2625',
			'color_subfooter_bg_alt' => '#26302f',
			'color_subfooter_border' => '#2d3837',
			'color_subfooter_text' => '#7f8a88',
			'color_subfooter_heading' => '#b2bfbe',
			'color_subfooter_link' => '#b2bfbe',
			'color_subfooter_link_hover' => '#2196f3',
			'color_footer_bg' => '#141a19',
			'color_footer_text' => '#7f8a88',
			'color_footer_link' => '#b2bfbe',
			'color_footer_link_hover' => '#2196f3',
		),
		'preview_colors' => array( '#009688', '#f0f7f6' ),
	),
	'3' => array(
		'title' => __( 'Sunny Cocktail', 'us' ),
		'values' => array(
			'color_body_bg' => '#e5e5e5',
			'color_header_bg' => '#ffb300',
			'color_header_text' => '#ffffff',
			'color_header_text_hover' => '#ffffff',
			'color_header_ext_bg' => '#ffa000',
			'color_header_ext_text' => '#ffecb3',
			'color_header_ext_text_hover' => '#ffffff',
			'color_header_transparent_text' => '#ffffff',
			'color_header_transparent_text_hover' => '#ffffff',
			'color_header_search_bg' => '#ffb300',
			'color_header_search_text' => '#ffffff',
			'color_menu_hover_bg' => '#ffb300',
			'color_menu_hover_text' => '#ffffff',
			'color_menu_active_text' => '#212121',
			'color_menu_transparent_active_text' => '#ffb300',
			'color_drop_bg' => '#ffffff',
			'color_drop_text' => '#212121',
			'color_drop_hover_bg' => '#f5f5f5',
			'color_drop_hover_text' => '#212121',
			'color_drop_active_bg' => '#ffffff',
			'color_drop_active_text' => '#a939bd',
			'color_menu_button_bg' => '#ffffff',
			'color_menu_button_text' => '#424242',
			'color_menu_button_hover_bg' => '#ffffff',
			'color_menu_button_hover_text' => '#424242',
			'color_content_bg' => '#ffffff',
			'color_content_bg_alt' => '#f6f6f6',
			'color_content_border' => '#e5e5e5',
			'color_content_heading' => '#222',
			'color_content_text' => '#444',
			'color_content_primary' => '#a939bd',
			'color_content_secondary' => '#ffb300',
			'color_content_faded' => '#999',
			'color_subfooter_bg' => '#212121',
			'color_subfooter_bg_alt' => '#292929',
			'color_subfooter_border' => '#333',
			'color_subfooter_text' => '#757575',
			'color_subfooter_heading' => '#9e9e9e',
			'color_subfooter_link' => '#9e9e9e',
			'color_subfooter_link_hover' => '#ffb300',
			'color_footer_bg' => '#111',
			'color_footer_text' => '#757575',
			'color_footer_link' => '#9e9e9e',
			'color_footer_link_hover' => '#ffb300',
		),
		'preview_colors' => array( '#ffb300', '#ffffff' ),
	),
	'4' => array(
		'title' => __( 'Light Tangerine', 'us' ),
		'values' => array(
			'color_body_bg' => '#e1e4e5',
			'color_header_bg' => '#ffffff',
			'color_header_text' => '#25282b',
			'color_header_text_hover' => '#ff5722',
			'color_header_ext_bg' => '#f2f4f5',
			'color_header_ext_text' => '#949799',
			'color_header_ext_text_hover' => '#ff5722',
			'color_header_transparent_text' => '#ffffff',
			'color_header_transparent_text_hover' => '#ffffff',
			'color_header_search_bg' => '#00bcd4',
			'color_header_search_text' => '#ffffff',
			'color_menu_hover_bg' => '#ffffff',
			'color_menu_hover_text' => '#ff5722',
			'color_menu_active_text' => '#ff5722',
			'color_menu_transparent_active_text' => '#ff5722',
			'color_drop_bg' => '#25282b',
			'color_drop_text' => '#c2c4c5',
			'color_drop_hover_bg' => '#ff5722',
			'color_drop_hover_text' => '#ffffff',
			'color_drop_active_bg' => '#25282b',
			'color_drop_active_text' => '#ff5722',
			'color_menu_button_bg' => '#ff5722',
			'color_menu_button_text' => '#ffffff',
			'color_menu_button_hover_bg' => '#00bcd4',
			'color_menu_button_hover_text' => '#ffffff',
			'color_content_bg' => '#ffffff',
			'color_content_bg_alt' => '#f2f4f5',
			'color_content_border' => '#e1e4e5',
			'color_content_heading' => '#25282b',
			'color_content_text' => '#4f5459',
			'color_content_primary' => '#ff5722',
			'color_content_secondary' => '#00bcd4',
			'color_content_faded' => '#949799',
			'color_subfooter_bg' => '#25282b',
			'color_subfooter_bg_alt' => '#1c1f21',
			'color_subfooter_border' => '#35383b',
			'color_subfooter_text' => '#8e9194',
			'color_subfooter_heading' => '#c2c4c5',
			'color_subfooter_link' => '#c2c4c5',
			'color_subfooter_link_hover' => '#ffffff',
			'color_footer_bg' => '#1c1f21',
			'color_footer_text' => '#8e9194',
			'color_footer_link' => '#8e9194',
			'color_footer_link_hover' => '#ffffff',
		),
		'preview_colors' => array( '#ffffff', '#ff5722' ),
	),
	'5' => array(
		'title' => __( 'Green Darkness', 'us' ),
		'values' => array(
			'color_body_bg' => '#0f0f0f',
			'color_header_bg' => '#21b11e',
			'color_header_text' => '#ffffff',
			'color_header_text_hover' => '#ffffff',
			'color_header_ext_bg' => '#1b9d17',
			'color_header_ext_text' => '#c8e6c9',
			'color_header_ext_text_hover' => '#ffffff',
			'color_header_transparent_text' => '#ffffff',
			'color_header_transparent_text_hover' => '#ffffff',
			'color_header_search_bg' => '#1d1d1d',
			'color_header_search_text' => '#1b9d17',
			'color_menu_hover_bg' => '#21b11e',
			'color_menu_hover_text' => '#ffffff',
			'color_menu_active_text' => '#9bff99',
			'color_menu_transparent_active_text' => '#3fd13d',
			'color_drop_bg' => '#1d1d1d',
			'color_drop_text' => '#aaa',
			'color_drop_hover_bg' => '#1d1d1d',
			'color_drop_hover_text' => '#ffffff',
			'color_drop_active_bg' => '#1d1d1d',
			'color_drop_active_text' => '#41c23e',
			'color_menu_button_bg' => '#ffffff',
			'color_menu_button_text' => '#1d1d1d',
			'color_menu_button_hover_bg' => '#ffffff',
			'color_menu_button_hover_text' => '#1d1d1d',
			'color_content_bg' => '#262626',
			'color_content_bg_alt' => '#1d1d1d',
			'color_content_border' => '#393939',
			'color_content_heading' => '#ddd',
			'color_content_text' => '#aaa',
			'color_content_primary' => '#21b11e',
			'color_content_secondary' => '#5676f1',
			'color_content_faded' => '#777',
			'color_subfooter_bg' => '#1d1d1d',
			'color_subfooter_bg_alt' => '#262626',
			'color_subfooter_border' => '#333',
			'color_subfooter_text' => '#777',
			'color_subfooter_heading' => '#aaa',
			'color_subfooter_link' => '#aaa',
			'color_subfooter_link_hover' => '#5676f1',
			'color_footer_bg' => '#0f0f0f',
			'color_footer_text' => '#666',
			'color_footer_link' => '#666',
			'color_footer_link_hover' => '#5676f1',
		),
		'preview_colors' => array( '#21b11e', '#262626' ),
	),
	'6' => array(
		'title' => __( 'Wet Stone', 'us' ),
		'values' => array(
			'color_body_bg' => '#12171a',
			'color_header_bg' => '#263238',
			'color_header_text' => '#cfd8dc',
			'color_header_text_hover' => '#ffffff',
			'color_header_ext_bg' => '#1b2327',
			'color_header_ext_text' => '#b0bec5',
			'color_header_ext_text_hover' => '#ffffff',
			'color_header_transparent_text' => '#ffffff',
			'color_header_transparent_text_hover' => '#ffffff',
			'color_header_search_bg' => '#80cbc4',
			'color_header_search_text' => '#1b2327',
			'color_menu_hover_bg' => '#263238',
			'color_menu_hover_text' => '#ffffff',
			'color_menu_active_text' => '#80cbc4',
			'color_menu_transparent_active_text' => '#80cbc4',
			'color_drop_bg' => '#1b2327',
			'color_drop_text' => '#b0bec5',
			'color_drop_hover_bg' => '#1b2327',
			'color_drop_hover_text' => '#ffffff',
			'color_drop_active_bg' => '#1b2327',
			'color_drop_active_text' => '#80cbc4',
			'color_menu_button_bg' => '#80cbc4',
			'color_menu_button_text' => '#1b2327',
			'color_menu_button_hover_bg' => '#ffffff',
			'color_menu_button_hover_text' => '#1b2327',
			'color_content_bg' => '#37474f',
			'color_content_bg_alt' => '#263238',
			'color_content_border' => '#4f5d64',
			'color_content_heading' => '#ffffff',
			'color_content_text' => '#cfd8dc',
			'color_content_primary' => '#80cbc4',
			'color_content_secondary' => '#69aaf0',
			'color_content_faded' => '#9ea8ad',
			'color_subfooter_bg' => '#1b2327',
			'color_subfooter_bg_alt' => '#263238',
			'color_subfooter_border' => '#263238',
			'color_subfooter_text' => '#82939c',
			'color_subfooter_heading' => '#b0bec5',
			'color_subfooter_link' => '#b0bec5',
			'color_subfooter_link_hover' => '#69aaf0',
			'color_footer_bg' => '#12171a',
			'color_footer_text' => '#82939c',
			'color_footer_link' => '#b0bec5',
			'color_footer_link_hover' => '#69aaf0',
		),
		'preview_colors' => array( '#263238', '#80cbc4' ),
	),
);
